---

include:
  - project: 'typo-indus/ci-cd'
    ref: 'production'
    file: 'main.yml'


build-library:
  image: node:latest
  stage: build-application
  script:
    - npm install
    - npm run build-storybook
    - npm run build
    - tar zcf node_modules.tgz node_modules
    - tar zcf lib.tgz lib
    - tar zcf storybook-static.tgz storybook-static
  artifacts:
    paths:
      - node_modules.tgz
      - lib.tgz
      - storybook-static.tgz
    expire_in: 1 days
    when: always
  cache:
  rules:
    - exists:
        - "**/package.json"

docker-build:
  script:
    - tar zxf storybook-static.tgz
    - exportBuildImageName
    - echo "{\"auths\":{\"$CI_REGISTRY\":{\"auth\":\"$(printf "%s:%s" "${CI_REGISTRY_USER}" "${CI_REGISTRY_PASSWORD}"
      | base64 | tr -d '\n')\"}}}" > /kaniko/.docker/config.json
    - >-
      /kaniko/executor --context "." --dockerfile "${DOCKERFILE_PATH}"
      --destination "$BUILD_REPO:$BUILD_TAG"
